Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 602914 - v7 on RHEL6 requires rpms not in RHEL6: qemu-kvm-tools
v7 on RHEL6 requires rpms not in RHEL6: qemu-kvm-tools
Status: CLOSED WORKSFORME
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
1.1
All Linux
high Severity high
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
:
: 600105 (view as bug list)
Depends On: 586117
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 21:22 EDT by Greg Nichols
Modified: 2010-07-20 12:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 586941
Environment:
Last Closed: 2010-07-20 12:56:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Nichols 2010-06-10 21:22:16 EDT
+++ This bug was initially created as a clone of Bug #586941 +++

Description of problem:

v7 requires rpms not found in RHEL6:

Rechecking required rpms
The following rpms are required for testing:
 qemu-kvm-tools system-config-display



Version-Release number of selected component (if applicable):

v7 1.1 R23
RHEL 6 beta 1

--- Additional comment from gcase@redhat.com on 2010-06-10 17:15:41 EDT ---

This persists in v7 1.2-3. The tool still asks for system-config-display to be installed, but it doesn't exist. 

By the way, why are these dependencies not called out in the RPM itself? I install using a yum repo for the v7 package, bus system-config-displayt I'm still left with missing dependencies when I complete the install. This is the exact reason people use @everything installs when they try to cert RHEL.

[root@dhcp8 ~]# v7 plan
Tested OS: Red Hat Enterprise Linux Server 6 (Santiago)
Kernel RPM: kernel-2.6.32-30.el6
v7 version 1.2, release 3
Hardware: Sun Microsystems unknown Volans
OS: Santiago 6
saved configuration to /var/v7/results.xml
Created a new plan with 15 tests on 139 devices
Checking for additional required packages based on the test plan:
cdrom requires dvd+rw-tools, genisoimage, wodim
dvd requires dvd+rw-tools, genisoimage, wodim
audio requires sox
fv_network requires libvirt, libvirt-python, python-virtinst, qemu-kvm-tools, python-virtinst
fv_memory requires libvirt, libvirt-python, python-virtinst, qemu-kvm-tools, python-virtinst
profiler requires oprofile
video requires xorg-x11-apps, system-config-display
fv_core requires libvirt, libvirt-python, python-virtinst, qemu-kvm-tools, python-virtinst
fv_storage requires libvirt, libvirt-python, python-virtinst, qemu-kvm-tools, python-virtinst
info requires kernel-devel
The following rpms are required for testing:
 qemu-kvm-tools xorg-x11-apps dvd+rw-tools wodim genisoimage system-config-display sox
Would you like to install them now? (y|n) y
response: y
Running yum: --------------------------------
This system is not registered with RHN.
RHN support will be disabled.
Error: Could not install rpm
"yum install -y  qemu-kvm-tools xorg-x11-apps dvd+rw-tools wodim genisoimage system-config-display sox" has output on stderr
Rechecking required rpms
The following rpms are required for testing:
 system-config-display
Would you like to install them now? (y|n)

--- Additional comment from gcase@redhat.com on 2010-06-10 17:18:59 EDT ---

Still in 1.2-5, too.

--- Additional comment from gnichols@redhat.com on 2010-06-10 20:50:34 EDT ---

system-config-display is only required for the video test, which may not apply to some systems.   Similarly, virtualization testing is not applicable to all systems.   So v7 now defers some rpm installation to follow test planning, so as not to require (via rpm spec) rpms on systems where they're not applicable.

Note that you can answer "n" to the second prompt, and continue testing.  I suspect the video test may fail.  Is there some other impact of this bug 
that I'm missing?
Comment 1 Greg Nichols 2010-06-10 21:28:44 EDT
I don't see this problem on RHEL6 Snapshot 6, x86_64.   v7 installs qemu-kvm-tools without incident.
Comment 2 Greg Nichols 2010-06-10 21:38:06 EDT
*** Bug 600105 has been marked as a duplicate of this bug. ***
Comment 3 Evan McNabb 2010-06-17 09:24:27 EDT
Like was mentioned above, I see it complaining about system-config-display. Is this package still available in RHEL6? It doesn't seem to be in the latest tree:

http://download.devel.redhat.com/nightly/RHEL6.0-20100617.n.0/6.0/Workstation/x86_64/os/Workstation/Packages/
Comment 4 Greg Nichols 2010-07-20 12:56:36 EDT
Evan: see Bug #586941 

Snapshot 7 also has qemu-kvm-tools

Closing this.

Note You need to log in before you can comment on or make changes to this bug.